# GLM_GTC_epsilon

GLM_GTC_epsilon
GTC Extensions (Stable)

## Functions

template<typename genType >
genType::boolType | epsilonEqual (genType const &x, genType const &y, typename genType::value_type const &epsilon)
template<typename genType >
genType::boolType | epsilonEqual (genType const &x, genType const &y, genType const &epsilon)
template<typename genType >
genType::boolType | epsilonNotEqual (genType const &x, genType const &y, typename genType::value_type const &epsilon)
template<typename genType >
genType::boolType | epsilonNotEqual (genType const &x, genType const &y, genType const &epsilon)

## Detailed Description

Comparison functions for a user defined epsilon values.

<glm/gtc/epsilon.hpp> need to be included to use these functionalities.

## Function Documentation

genType::boolType glm::epsilonEqual | ( | genType const & | x,
|  | genType const & | y,
|  | typename genType::value_type const & | epsilon
| ) |  |

Returns the component-wise compare of |x - y| < epsilon.

See Also
  GLM_GTC_epsilon

genType::boolType glm::epsilonEqual | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise compare of |x - y| < epsilon.

See Also
  GLM_GTC_epsilon

genType::boolType glm::epsilonNotEqual | ( | genType const & | x,
|  | genType const & | y,
|  | typename genType::value_type const & | epsilon
| ) |  |

Returns the component-wise compare of |x - y| < epsilon.

See Also
  GLM_GTC_epsilon

genType::boolType glm::epsilonNotEqual | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise compare of |x - y| >= epsilon.

See Also
  GLM_GTC_epsilon